scala.tools.nsc.ast.TreeBrowsers

# BrowserFrame

#### class BrowserFrame extends AnyRef

A window that can host the Tree widget and provide methods for displaying information

Source
  TreeBrowsers.scala
Version

  1.0

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. BrowserFrame
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new BrowserFrame(phaseName: String = "unknown")

### Type Members

1. #### class ASTMenuBar extends JMenuBar

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from BrowserFrame to any2stringadd[BrowserFrame] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (BrowserFrame, B)

   Implicit information
     This member is added by an implicit conversion from BrowserFrame to ArrowAssoc[BrowserFrame] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val bottomPane: JPanel

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def collapseAll(subtree: JTree): Unit

10. #### def createFrame(lock: Lock): Unit

    Create a frame that displays the AST.

    Create a frame that displays the AST.

    lock

      The lock is used in order to stop the compilation thread until the user is done with the tree inspection. Swing creates its own threads when the frame is packed, and therefore execution would continue. However, this is not what we want, as the tree and especially symbols/types would change while the window is visible.

11. #### def ensuring(cond: (BrowserFrame) ⇒ Boolean, msg: ⇒ Any): BrowserFrame

    Implicit information
      This member is added by an implicit conversion from BrowserFrame to Ensuring[BrowserFrame] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (BrowserFrame) ⇒ Boolean): BrowserFrame

    Implicit information
      This member is added by an implicit conversion from BrowserFrame to Ensuring[BrowserFrame] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): BrowserFrame

    Implicit information
      This member is added by an implicit conversion from BrowserFrame to Ensuring[BrowserFrame] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): BrowserFrame

    Implicit information
      This member is added by an implicit conversion from BrowserFrame to Ensuring[BrowserFrame] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def expandAll(subtree: JTree): Unit

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from BrowserFrame to StringFormat[BrowserFrame] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### val frame: JFrame

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### val infoPanel: TextInfoPanel

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### var jTree: JTree

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def setTreeModel(tm: ASTTreeModel): Unit

30. #### var splitPane: JSplitPane

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### val textArea: JTextArea

33. #### def toString(): String

    Definition Classes
      AnyRef → Any

34. #### val topLeftPane: JPanel

35. #### val topRightPane: JPanel

36. #### var treeModel: ASTTreeModel

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### def →[B](y: B): (BrowserFrame, B)

    Implicit information
      This member is added by an implicit conversion from BrowserFrame to ArrowAssoc[BrowserFrame] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from BrowserFrame to any2stringadd[BrowserFrame]

### Inherited by implicit conversion StringFormat from BrowserFrame to StringFormat[BrowserFrame]

### Inherited by implicit conversion Ensuring from BrowserFrame to Ensuring[BrowserFrame]

### Inherited by implicit conversion ArrowAssoc from BrowserFrame to ArrowAssoc[BrowserFrame]

### Ungrouped